io.undertow.server.handlers.accesslog

## Class ExtendedAccessLogParser

- java.lang.Object
- - io.undertow.server.handlers.accesslog.ExtendedAccessLogParser

    public class ExtendedAccessLogParser
    extends Object

Parser that transforms an extended access log format string into a Undertow access log format string.

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `ExtendedAccessLogParser.ExtendedAccessLogHeaderGenerator`

### Constructor Summary

Constructors
Constructor and Description
`ExtendedAccessLogParser(ClassLoader classLoader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ExchangeAttribute` `getClientToServerElement(io.undertow.server.handlers.accesslog.ExtendedAccessLogParser.PatternTokenizer tokenizer)`
`protected ExchangeAttribute` `getLogElement(String token, io.undertow.server.handlers.accesslog.ExtendedAccessLogParser.PatternTokenizer tokenizer)`
`protected ExchangeAttribute` `getProxyElement(io.undertow.server.handlers.accesslog.ExtendedAccessLogParser.PatternTokenizer tokenizer)`
`protected ExchangeAttribute` `getServerToClientElement(io.undertow.server.handlers.accesslog.ExtendedAccessLogParser.PatternTokenizer tokenizer)`
`protected ExchangeAttribute` `getServletRequestElement(String parameter)`
`protected ExchangeAttribute` `getXParameterElement(io.undertow.server.handlers.accesslog.ExtendedAccessLogParser.PatternTokenizer tokenizer)`
`ExchangeAttribute` `parse(String pattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtendedAccessLogParser

    public ExtendedAccessLogParser(ClassLoader classLoader)

### Method Detail

#### parse

    public ExchangeAttribute parse(String pattern)

#### getLogElement

    protected ExchangeAttribute getLogElement(String token,
                                              io.undertow.server.handlers.accesslog.ExtendedAccessLogParser.PatternTokenizer tokenizer)
                                       throws IOException

Throws:
  `IOException`

#### getClientToServerElement

    protected ExchangeAttribute getClientToServerElement(io.undertow.server.handlers.accesslog.ExtendedAccessLogParser.PatternTokenizer tokenizer)
                                                  throws IOException

Throws:
  `IOException`

#### getServerToClientElement

    protected ExchangeAttribute getServerToClientElement(io.undertow.server.handlers.accesslog.ExtendedAccessLogParser.PatternTokenizer tokenizer)
                                                  throws IOException

Throws:
  `IOException`

#### getProxyElement

    protected ExchangeAttribute getProxyElement(io.undertow.server.handlers.accesslog.ExtendedAccessLogParser.PatternTokenizer tokenizer)
                                         throws IOException

Throws:
  `IOException`

#### getXParameterElement

    protected ExchangeAttribute getXParameterElement(io.undertow.server.handlers.accesslog.ExtendedAccessLogParser.PatternTokenizer tokenizer)
                                              throws IOException

Throws:
  `IOException`

#### getServletRequestElement

    protected ExchangeAttribute getServletRequestElement(String parameter)